Bug 743411 - Review Request: drupal7-theme-ninesixty - Ninesixty theme for Drupal 7
Review Request: drupal7-theme-ninesixty - Ninesixty theme for Drupal 7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Borsa
Fedora Extras Quality Assurance
:
: 787454 (view as bug list)
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2011-10-04 15:57 EDT by Paul W. Frields
Modified: 2012-02-21 05:53 EST (History)
4 users (show)

See Also:
Fixed In Version: drupal7-theme-ninesixty-1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-19 18:29:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
peter.borsa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2011-10-04 15:57:58 EDT
Spec URL: http://pfrields.fedorapeople.org/packages/SPECS/drupal7-theme-ninesixty.spec
SRPM URL: http://pfrields.fedorapeople.org/packages/SRPMS/drupal7-theme-ninesixty-1.0-1.fc16.src.rpm
Description: 
This theme is based on the 960 Grid System by Nathan Smith.  NineSixty
is a base theme with all the files provided by the 960 Grid System.
From the sketch sheets to all the styles from the framework are
included. There are a few modifications so it better fits into
Drupal. All the details are inside the README.txt file.
Comment 1 Peter Borsa 2011-10-11 12:12:48 EDT
MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint Downloads/drupal7-theme-ninesixty.spec Downloads/drupal7-theme-ninesixty-1.0-1.fc16.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

MUST: The package must be named according to the Package Naming
Guidelines.

MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

MUST: The package must meet the Packaging Guidelines .

MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .

MUST: The License field in the package spec file must match the actual license.

MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

MUST: The spec file must be written in American English.

MUST: The spec file for the package MUST be legible.

MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum Downloads/ninesixty-7.x-1.0.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/ninesixty-7.x-1.0.tar.gz | md5sum -
360b3412b4055c2e0df3cbdac71f0e74  Downloads/ninesixty-7.x-1.0.tar.gz
360b3412b4055c2e0df3cbdac71f0e74  -


MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.

N/A noarch package
MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.

MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

N/A MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.

MUST: Packages must NOT bundle copies of system libraries.

MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

MUST: A package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory.

MUST: A Fedora package must not list a file more than once in the spec file's
%files listings. (Notable exception: license texts in specific situations)

MUST: Permissions on files must be set properly. Executables should be set with
executable permissions, for example.

MUST: Each package must consistently use macros.

MUST: The package must contain code, or permissable content.

MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity).

MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

N/A MUST: Header files must be in a -devel package.

N/A MUST: Static libraries must be in a -static package.

N/A MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.

N/A MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name}%{?_isa} =
%{version}-%{release}

MUST: Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built.

MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation. 

MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.

MUST: All filenames in rpm packages must be valid UTF-8.

--

APPROVED
Comment 2 Paul W. Frields 2011-10-25 19:58:07 EDT
New Package SCM Request
=======================
Package Name: drupal7-theme-ninesixty
Short Description: Ninesixty theme for Drupal 7
Owners: pfrields asrob
Branches: f15 f16 el5 el6
InitialCC: sdodson
Comment 3 Jon Ciesla 2011-10-25 20:49:55 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-11-08 10:26:59 EST
drupal7-theme-ninesixty-1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal7-theme-ninesixty-1.0-1.fc16
Comment 5 Fedora Update System 2011-11-08 10:28:58 EST
drupal7-theme-ninesixty-1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal7-theme-ninesixty-1.0-1.fc15
Comment 6 Fedora Update System 2011-11-08 10:29:17 EST
drupal7-theme-ninesixty-1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-theme-ninesixty-1.0-1.el6
Comment 7 Fedora Update System 2011-11-08 10:29:48 EST
drupal7-theme-ninesixty-1.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-theme-ninesixty-1.0-1.el5
Comment 8 Fedora Update System 2011-11-10 02:31:54 EST
drupal7-theme-ninesixty-1.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 9 Fedora Update System 2011-11-19 18:29:19 EST
drupal7-theme-ninesixty-1.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2011-11-19 18:30:22 EST
drupal7-theme-ninesixty-1.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2011-11-28 14:27:18 EST
drupal7-theme-ninesixty-1.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 12 Fedora Update System 2011-11-28 14:29:08 EST
drupal7-theme-ninesixty-1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Peter Borsa 2012-02-21 05:53:00 EST
*** Bug 787454 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.